% }9.6̍쐬
%------------------------------------
%  programmed by K. Sekihara on March, 2015
%  All right reserved by K. Sekihara
%  {R[h̎gpɍۂĂREADME.pdfɂgpmFĂ
%---------------------------------------------------------
%
close all
clear
%
% ----------ZT[̍W`-----------
%
xx0=-1000:20:2000;  % ZT[xW
xxR=3100:200:(3100+200*2); %t@XZT[xW
NxR=length(xxR);
xx=[xx0,xxR]; % vZT[+t@XZT[xW
NcS=length(xx0);
Nc=length(xx);
%
d=1000;
yy0=d*ones(1,NcS);
yyR=d:-300:(d-300*(NxR-1));
yy=[yy0,yyR];
scd=zeros(Nc,2); %ZT[W̃[ւ̊i[
scd(:,1)=xx';
scd(:,2)=yy';
% ---------------------------------------
% Signal-to-Interference Ratio`
%
   SIR=0.25;
    SNR=16;
% ZT[f[^𔭐D     
  [tB, ~, tB0, ~, tp, ~ ,~ ] = sensor_data_gen(scd,SNR,SIR);

B=tB(1:NcS,:);              %vZT[f[^s
B0=tB0(1:NcS,:);          %vZT[Ms
Bref=tB(NcS+1:Nc,:);    %t@XZT[f[^s

figure(2) % }9.6(a)̍쐬 -----------------------------

yout=Bref;
disp_chan1=1;
disp_chan2=2;
disp_chan3=3;

subplot('position',[0.08,0.87,0.4,0.13])
plot(tp,yout(disp_chan1,:)); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.08,0.74,0.4,0.13])
plot(tp,yout(disp_chan2,:)); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.08,0.61,0.4,0.13])
plot(tp,yout(disp_chan3,:)/max(yout(disp_chan3,:))); axis('tight') 
set(gca,'Ytick',[])
xlabel('time points')
 text(-1400, -1.8, '(a)','FontSize',14)
%
% KmCYiadaptive noise cancelingj̎s
  [Banc] = anc_tm(B, Bref );
 yout=Banc;
 %
 % }9.6(b)̍쐬 -----------------------------
 %
 disp_chan2=76; % \`l̑I
disp_chan3=116; % \`l̑I
disp_chan1=36; % \`l̑I

subplot('position',[0.53,0.87,0.4,0.13])
plot(tp,yout(disp_chan1,:)); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.53,0.74,0.4,0.13])
plot(tp,yout(disp_chan2,:)); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.53,0.61,0.4,0.13])
plot(tp,yout(disp_chan3,:)/max(yout(disp_chan3,:))); axis('tight') 
set(gca,'Ytick',[])
xlabel('time points')
 text(-1400, -1.8, '(b)','FontSize',14)
%
% ʕԓeɂmCY
Nec=size(Bref,1);
Net=20;
Nee=1; % ʕԂ̎
%
   Ae=CSP02(B,Bref,Net,Nec,Nee);
% 
Bcsp=B-(B*Ae)*Ae'; % ʕԂ̒Ԃւ̓e
%
% }9.6(c)̍쐬 -----------------------------
yout=Bcsp;
subplot('position',[0.08,0.37,0.4,0.13])
plot(tp,yout(disp_chan1,:)); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.08,0.24,0.4,0.13])
plot(tp,yout(disp_chan2,:)); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.08,0.11,0.4,0.13])
plot(tp,yout(disp_chan3,:)/max(yout(disp_chan3,:))); axis('tight') 
set(gca,'Ytick',[])
xlabel('time points')
 text(-1400, -1.8, '(c)','FontSize',14)

 return
 

