
function Ae=CSP02(ysig,yint,Net,Nec,Nee)
%
% 6.4.3ŏqׂASYsCʕԂ̊xNg߂
%  ------------------------------------------------------------
%  programmed by K. Sekihara,  Signal Analysis Inc.
%  All right reserved by Signal Analysis Inc.
% -------------------------------------------------------------
%
%  Nc: ZT[
%  Nt: v^C|Cg
%  yint(Nc,Nt): t@XZT[f[^
%  ysig(Nc,Nt): vZT[f[^
%  Nec: t@XZT[f[^̎ (6.30\nu)
%  Net: vZT[f[^̎ (6.29\mu)
%  Nee: ʕԂ̎ (6.4.3̃Xebv3ŋ܂ r )
%  Ae(Nt,Nee): ʕԂ̊xNgi[s

[~,~,Vc]=svd(yint,'econ');
[~,~,Vt]=svd(ysig,'econ');
% 
G=Vc(:,1:Nec);
F=Vt(:,1:Net);
%
C=F'*G;
[U,~,~]=svd(C);
A1=F*U;
Ae=A1(:,1:Nee);

end