function [xhat1,xhat2]=SBL( H, yy, beta)
%------------------------------------
%  programmed by K. Sekihara on March, 2015
%  All right reserved by K. Sekihara
%  {R[h̎gpɍۂĂREADME.pdfɂgpmFĂ
%---------------------------------------------------------
% inputs:
% H(Nc,Nv): lead field   
% yy(Nc,Nt): sensor data   
%
% outputs:
% xhat1(Nv): Xp[XxCY
% xhat2(Nv): xCY~j}m
%
  [~,Nv]=size(H);
%
%
%@XV񐔂̃Zbg
 nem=400;
%
% ~j}mnCp[p[^
% alpha(Oz̐x)̏lvZD
gamma=max(eig(H'*H))*1e-3; % p[^̒`
AA=H'*H+gamma*eye(size(H'*H));
xhat=inv(AA)*H'*yy;
alpha=1/((xhat'*xhat)/Nv);
valp=alpha*ones(Nv,1);  %lݒ
% 
%Xp[XxCYwK̎s
for iem=1:nem % EMASỸ[v
 Phi=diag(valp);
 Gam=beta*H'*H + Phi;    % (8.18)
 iGam=inv(Gam);
 xbar=beta*iGam*H'*yy;   %(8.19)
%
 iPhi=xbar*xbar'+iGam;   
 ivalp=diag(iPhi);
 valp=1 ./ivalp;                 % (8.46)
end
xhat1=xbar;
%
% xCY~j}m@̎s
alp=alpha;
for iem=1:nem   % EMASỸ[v
 Phi=alp*eye(Nv,Nv);
 Gam=beta*H'*H + Phi;    % (8.31)
 iGam=inv(Gam);
 xbar=beta*iGam*H'*yy;   %(8.32)
%
 ialp=(trace(iGam)+xbar'*xbar)/Nv; %(8.42)
 alp=1/ialp;
end
xhat2=xbar;
%
end

