function  hgam=compGam(pdata, hmu, hSigma, hpi)
%  EMASYEXebv
%  ^ꂽnCp[p[^p㕪žvZ
%------------------------------------
%  programmed by K. Sekihara 
%  All right reserved by K. Sekihara
%  {R[h̎gpɍۂĂREADME.pdfɂgpmFĂ
%---------------------------------------------------------
%
[Nt,Nk]=size(pdata);
hgam=zeros(Nt,Nk);
DD=zeros(Nt,1);
%
for it=1:Nt
    xn=pdata(it,:);                % extracting xn
    hmu1=hmu(1,:);                 % mu1
    hSigma1=hSigma(:,:,1);         % Sigma1
    gauss1=mvnpdf(xn,hmu1,hSigma1);  %N(xn|mu1,Sigma1)
 %
    hmu2=hmu(2,:);                   % mu2
    hSigma2=hSigma(:,:,2);           % Sigma2
    gauss2=mvnpdf(xn,hmu2,hSigma2);  % N(xn|mu2,Sigma2)
    denom=hpi(1)*gauss1+hpi(2)*gauss2; % denominator
    hgam(it,1)=hpi(1)*gauss1/denom;  % gamma_n_1 (8.49)
    hgam(it,2)=hpi(2)*gauss2/denom;  % gamma_n_2 (8.49)
    DD(it)=log(denom);
end

end

