%
%}9.8Ɛ}9.9̍쐬
%
%------------------------------------
%  programmed by K. Sekihara on March, 2015
%  All right reserved by K. Sekihara
%  {R[h̎gpɍۂĂREADME.pdfɂgpmFĂ
%---------------------------------------------------------
close all
clear
%
% ----------ZT[̍W`-----------
xx=-1000:20:2000;  % ZT[xW
Nc=length(xx);
d=1000;                  % ZT[yW

scd=zeros(Nc,2); 
scd(:,1)=xx';
scd(:,2)=d*ones(Nc,1);
% ---------------------------------------
%
% Signal-to-Interference Ratio`
%
  SIR=1e8; % _~[
  SNR=10;
 %  ZT[f[^̔ 
 [~, ~, B0, ~, tp, ~, ~ ] = sensor_data_gen(scd,SNR,SIR);
%
% {NZ(sNZ)̒`
%
pitch=10;    
voxels=define_voxels(scd,pitch);
%
H=compute_H(scd,voxels); %sHvZ
%
% musicASYɂ{NZ̈XL
mu=2;
[ Jmu, UNUN ] = music( H, B0, mu );
%
% beamformerɂXL
ESES=[];
[ Pbeam, Shat ] = beamformer( H, B0, ESES);
%
% s[N{NZł̃^CR[Xo
% 
vx=voxels(:,1);
 [~,nm1]=min(abs(vx-300));
 [~,nm2]=min(abs(vx-700));
 %
 s1_hat=Shat(nm1,:);
 s2_hat=Shat(nm2,:);
 %
 % Mԓer[tH[~OiEigenspace beamformingj
 %
 ESES=(eye(Nc,Nc)-UNUN);
[ ePhat, eShat ] = beamformer( H, B0, ESES );
 %
 es1_hat=eShat(nm1,:);
 es2_hat=eShat(nm2,:);
 %
gamma=1e-4;
%
% ~j}m@ɂXL
[ mShat, Pmn ] = min_norm( H, B0, gamma );
%
%@}9.8̍쐬[ʂ̕\
figure(10)
subplot('position',[0.18,0.68,0.4,0.2])
plot(vx,Jmu/max(abs(Jmu))); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])
 text(-1500, -0.15, '(a)','FontSize',14)
 grid on

subplot('position',[0.18,0.45,0.4,0.2])
plot(vx,Pbeam/max(abs(Pbeam))); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])
 text(-1500, -0.15, '(b)','FontSize',14)
 grid on

subplot('position',[0.18,0.22,0.4,0.2])
plot(vx,Pmn/max(abs(Pmn))); axis('tight') 
set(gca,'Ytick',[])
xlabel('voxel x coordinate')
 text(-1500, -0.2, '(c)','FontSize',14)
 grid on

%
% }9.9̍쐬[{NZ^CR[X̕\
figure(11)
%
subplot('position',[0.08,0.75,0.4,0.15])
plot(tp,s1_hat); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.08,0.60,0.4,0.15])
plot(tp,s2_hat/max(abs(s2_hat))); axis('tight') 
set(gca,'Ytick',[])
xlabel('time points')
 text(-1500, -1.2, '(a)','FontSize',14)
 
subplot('position',[0.56,0.75,0.4,0.15])
plot(tp,es1_hat); axis('tight') 
set(gca,'XtickLabel',[])
set(gca,'Ytick',[])

subplot('position',[0.56,0.60,0.4,0.15])
plot(tp,es2_hat/max(abs(es2_hat))); axis('tight') 
set(gca,'Ytick',[])
xlabel('time points')
 text(-1500, -1.2, '(b)','FontSize',14)

return



